# pep5-dl
An unofficial script to download the slides of the 2023 PEP5 lecture.

## Disclaimer
This script uses your login credentials.
If the script is run multiple times without terminating properly (before logout procedure) the Übungsgruppensystem might block you for some hours.
Use at your own risk.

The script might also modify the slides such that content might go missing.

## Installation
Requires `playwright` (with `chromium` driver) and `pypdf`:
```sh
pip install playwright pypdf
playwright install chromium
```
Then you just need to download the [`pep5-dl`](https://git.haagfank.de/LnLcFlx/pep5-dl/raw/branch/master/pep5-dl) file from this repository.

### (Without `pypdf`)
You can supply `--merger=none --keep --tmpdir=<DIR>` and simply download the individual PDFs without any changes to `<DIR>`.

## Usage
If you simply want to download all current slides into one file `slides.pdf` in the current directory, run
```sh
python pep5-dl '<USERNAME>' '<PASSWORD>'
```
where your have to replace `<USERNAME>` and `<PASSWORD>` with your credentials.

By default the script removes the background image.
If this leads to other missing images supply `--keepbg` to keep the background.
For help and more options run `pep5-dl --help`.
